## org.dom4j.rule
Class NullAction

    java.lang.Object
      org.dom4j.rule.NullAction

All Implemented Interfaces:
  Action

public class NullAction
extends Object
implements Action

`NullAction` represents an empty action that does nothing.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Field Summary
`static NullAction` `SINGLETON` Singleton instance

Constructor Summary
`NullAction()`

Method Summary
`void` `run(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final NullAction SINGLETON

  Singleton instance

Constructor Detail

### NullAction

    public NullAction()

Method Detail

### run

    public void run(Node node)
             throws Exception

  Specified by:
    `run` in interface `Action`
  Throws:
    `Exception`

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.